package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 角色菜单关系表
 * </p>
 *
 * @author gejiang
 * @since 2023-03-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AdminUserModuleRela对象", description="角色菜单关系表")
public class AdminUserModuleRela extends Model<AdminUserModuleRela> {

    private static final long serialVersionUID=1L;

    @TableId(value = "rela_id", type = IdType.ID_WORKER_STR)
    private String relaId;

    private String adminRoleId;

    private String adminModuleId;

    @ApiModelProperty(value = "true:上线  false:下线")
    private Boolean status;

    @TableField(fill = FieldFill.INSERT)
    private Date createTime;


    @Override
    protected Serializable pkVal() {
        return this.relaId;
    }

}
